c    "Copyright 2009 Prof. Robert Dalrymple, Prof. M. Gomez Gesteira, Dr Benedict Rogers, 
c     Dr Alejandro Crespo, Dr Muthukumar Narayanaswamy, Dr Shan Zou, Dr Andrea Panizzo "
c
c    This file is part of SPHYSICS.
c
c    SPHYSICS is free software; you can redistribute it and/or modify
c    it under the terms of the GNU General Public License as published by
c    the Free Software Foundation; either version 3 of the License, or
c    (at your option) any later version.
c
c    SPHYSICS is distributed in the hope that it will be useful,
c    but WITHOUT ANY WARRANTY; without even the implied warranty of
c    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c    GNU General Public License for more details.
c
c    You should have received a copy of the GNU General Public License
c    along with this program.  If not, see <http://www.gnu.org/licenses/>.

      subroutine poute(nf)

c
      include 'common.3D'

c
c     --- Write out to PART-type files ---


      do i=1,np
         write(nf,100) xp(i),yp(i),zp(i),up(i),vp(i),wp(i),rhop(i),
     +                   p(i),pm(i)
      enddo


100   format(9e16.8)


c     --- Write out to DT file ---

      write(19,*) time, dt_1, dt_2, dt_new


c     --- Write out to VORTICITY file ---

      if(i_vort.eq.1) then
         do i=1,nb
         vortx_temp= 0.0  !Vorticity in an x=const plane
         vorty_temp= 0.0 !Vorticity in an y=const plane
         vortz_temp= 0.0  !Vorticity in an z=const plane
            write(nf+1,105) vortx_temp,vorty_temp,vortz_temp
         enddo

         do i=nbp1,np
         vortx_temp= curl3x_a(i)-curl3x_b(i)  !Vorticity in an x=const plane
         vorty_temp= curl3y_a(i)-curl3y_b(i)  !Vorticity in an y=const plane
         vortz_temp= curl3z_a(i)-curl3z_b(i)  !Vorticity in an z=const plane
            write(nf+1,105) vortx_temp,vorty_temp,vortz_temp
         enddo

      endif

105   format(3e16.8)


c     --- Write out to sph.out file ---
 
      write(80,*) 'In poute_3D, itime = ',itime
      write(80,*) 'time, dt  ',time,dt,'  ok'
      write(*,*) 'In poute_3D, itime = ',itime
      write(*,*) 'time, dt  ',time,dt,'  ok'

      return 
      end

